declare type Color = 0 | 1 | 2
interface TreeNode {
  max: number
  low: number
  high: number
  color: Color
  parent: TreeNode
  right: TreeNode
  left: TreeNode
  list: number[]
}
interface IIntervalTree {
  insert(low: number, high: number, index: number): void
  remove(low: number, high: number, index: number): void
  search(
    low: number,
    high: number,
    callback: (index: number, low: number) => any
  ): void
  size: number
  root: TreeNode
}
declare const IntervalTree: () => IIntervalTree
export default IntervalTree
